# $Revision: 1.76 $, $Date: 2010/12/08 13:34:47 $
#
# Conditional build:
%bcond_without	tk	# build without tkinter support
#
%define		module	PIL

Summary:	Python's own image processing library
Summary(pl.UTF-8):	Biblioteka do przetwarzania obrazu w Pythonie
Name:		python-%{module}
Version:	1.1.7
Release:	4
Epoch:		1
License:	BSD-like
Group:		Libraries/Python
Source0:	http://effbot.org/downloads/Imaging-%{version}.tar.gz
# Source0-md5:	fc14a54e1ce02a0225be8854bfba478e
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-viewer.patch
Patch2:		python-imaging-1.1.6-sane-types.patch
Patch3:		python-imaging-giftrans.patch
URL:		http://www.pythonware.com/products/pil/
BuildRequires:	freetype-devel >= 2.3.9
BuildRequires:	lcms-devel >= 1.1.5
BuildRequires:	libjpeg-devel >= 6a
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
%{?with_tk:BuildRequires:	python-tkinter}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sane-backends-devel
%{?with_tk:BuildRequires:	tk-devel}
BuildRequires:	zlib-devel >= 1.2.3
%pyrequires_eq	python-libs
Requires:	freetype >= 2.3.9
Requires:	lcms >= 1.1.5
Requires:	zlib >= 1.2.3
Obsoletes:	python-Imaging
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python Imaging Library (PIL) adds image processing capabilities to
your Python interpreter. This library provides extensive file format
support, an efficient internal representation, and powerful image
processing capabilities.

%description -l pl.UTF-8
Python Imaging Library (PIL) dodaje możliwość przetwarzania obrazu do
interpretera Pythona. Biblioteka ma obsługę wielu formatów plików,
wydajną reprezentację wewnętrzną i duże możliwości obróbki.

%package sane
Summary:	Python Module for using scanners
Summary(pl.UTF-8):	Moduły Pythona do używania skanerów
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description sane
This package contains the sane module for Python which provides access
to various raster scanning devices such as flatbed scanners and
digital cameras.

%description sane -l pl.UTF-8
Ten pakiet zawiera moduł sane dla Pythona, dający dostęp do wielu
rastrowych urządzeń skanujących, takich jak skanery płaskie i aparaty
cyfrowe.

%package tk
Summary:	Tk interface for python-imaging
Summary(pl.UTF-8):	Interfejs Tk do modułów python-imaging
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-tkinter
Conflicts:	%{name} < 1:1.1.6-6

%description tk
This package contains a Tk interface for python-imaging.

%description tk -l pl.UTF-8
Ten pakiet zawiera interfejs Tk do modułów python-imaging.

%package devel
Summary:	Python's own image processing library header files
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki obróbki obrazu w Pythonie
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libjpeg-devel
Requires:	python-devel
Requires:	zlib-devel
Obsoletes:	python-Imaging-devel

%description devel
Python's own image processing library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki obróbki obrazu w Pythonie.

%prep
%setup -q -n Imaging-%{version}
%if %{_lib} == "lib64"
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1

# fix the interpreter path for Scripts/*.py
sed -i -e "s|/usr/local/bin/python|%{_bindir}/python|" Scripts/*.py

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build_ext -i
%{__python} selftest.py

cd Sane
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

cd Sane
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
cd ..

install -d $RPM_BUILD_ROOT%{py_incdir}
cp -a libImaging/Im{Platform,aging}.h $RPM_BUILD_ROOT%{py_incdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT{%{_bindir}/pil*.py,%{_examplesdir}/%{name}-%{version}}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/%{module}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{py_sitedir}/%{module}.pth
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/_imaging*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}/%{module}-*.egg-info
%endif

%{_examplesdir}/%{name}-%{version}

%if %{with tk}
%exclude %{py_sitedir}/%{module}/ImageTk.py[co]
%exclude %{py_sitedir}/%{module}/SpiderImagePlugin.py[co]
%exclude %{py_sitedir}/%{module}/_imagingtk.so
%endif

%files sane
%defattr(644,root,root,755)
%doc Sane/CHANGES Sane/demo*.py Sane/sanedoc.txt
%{py_sitedir}/sane.py[co]
%attr(755,root,root) %{py_sitedir}/_sane.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pysane-*.egg-info
%endif

%if %{with tk}
%files tk
%defattr(644,root,root,755)
%{py_sitedir}/%{module}/ImageTk.py[co]
%{py_sitedir}/%{module}/SpiderImagePlugin.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/_imagingtk.so
%endif

%files devel
%defattr(644,root,root,755)
%{py_incdir}/ImPlatform.h
%{py_incdir}/Imaging.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PIL.spec,v $
Revision 1.76  2010/12/08 13:34:47  lisu
- rel 4

Revision 1.75  2010/12/04 06:30:00  qboosh
- macros for py_postclean

Revision 1.74  2010/12/04 06:29:33  qboosh
- BR: freetype-devel, lcms-devel
- pl for -sane and -tk

Revision 1.73  2010/11/13 00:20:23  pawelz
- release 3

Revision 1.72  2010/07/08 08:26:36  arekm
- release 2

Revision 1.71  2010/02/15 22:54:25  arekm
- up to 1.1.7

Revision 1.70  2010/02/10 00:22:30  sparky
- dropped unused BR: libpng-devel (png I/O seems to be built-in)

Revision 1.69  2010/02/07 14:45:42  glen
- add sane types and giftrans patches from fc, tk bconds fixed

Revision 1.68  2010/02/07 14:41:11  glen
- separate -tk, build -sane; rel 6

Revision 1.67  2010/01/28 13:26:27  sparky
- BR: rpm-pythonprov

Revision 1.66  2010/01/28 11:17:27  amateja
- release 5

Revision 1.65  2009/07/12 13:21:36  arekm
- release 4

Revision 1.64  2008/10/03 17:55:30  arekm
- release 3

Revision 1.63  2008/07/27 23:05:03  arekm
- release 2

Revision 1.62  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.61  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.60  2006/12/04 15:38:20  qboosh
- python epoch

Revision 1.59  2006/12/04 15:33:45  arekm
- up to 1.1.6

Revision 1.58  2006/11/20 16:54:55  arekm
- display files via kfmclient exec, too (by default only xv is used)

Revision 1.57  2006/11/19 16:10:19  arekm
- rel 3

Revision 1.56  2006/09/03 15:22:36  patrys
- rel up, new python

Revision 1.55  2006/09/03 11:24:20  qboosh
- added missing epoch in R

Revision 1.54  2006/04/09 19:10:42  troll
- updated to 1.1.5
- renamed to python-PIL
- removed old patches
- added lib64 patch fixing library path searches on 64 bit archs
- included userspace tools requiring the module
- Epoch 1

Revision 1.53  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.52  2005/01/08 16:12:03  qboosh
- bcond header, strict internal dep
- pyrequires for python-libs not python
- BR: libpng-devel not libpng

Revision 1.51  2005/01/08 03:47:11  wrobell
- allow to build with tk support
- rel. 3

Revision 1.50  2004/12/23 22:24:31  saq
- release 2 for rebuild with python 2.4

Revision 1.49  2004/07/28 08:03:16  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.48  2004/06/07 21:06:52  zboczuch
- updated to 1.1.5a3

Revision 1.47  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.46  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.45  2004/05/02 16:15:21  leafnode
- updated to 1.1.5a2

Revision 1.44  2004/01/22 14:33:41  grzegol
- added freetype patch (fix including of ft headers)

Revision 1.43  2003/11/25 17:08:56  matkor
- tkinter is python-tkinter since python-2.3.2-2. Release++.

Revision 1.42  2003/11/18 23:00:46  matkor
- Release 4. BR tkinter (imported in setup). Enumerated all modules expected to be built.

Revision 1.41  2003/11/18 18:32:17  qboosh
- release 3

Revision 1.40  2003/11/18 18:27:08  qboosh
- generate PIC (fixes build on alpha)

Revision 1.39  2003/11/18 17:38:19  matkor
- Release 2. Back to pythonish way of build.

Revision 1.38  2003/09/10 18:50:18  blues
- simplified

Revision 1.37  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.36  2003/07/23 09:57:11  wiget
- updated to 1.1.4

Revision 1.35  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2002/11/29 22:46:08  ankry
- massive attack: new %doc

Revision 1.32  2002/04/13 17:42:04  kloczek
- rebuild against python 2.2.1.

Revision 1.31  2002/04/11 13:59:59  wrobell
- rel. 2, stb

Revision 1.30  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.29  2002/03/19 11:26:24  wrobell
- fixed build requirements
- ver. 1.1.3
- stb

Revision 1.28  2002/03/18 07:02:58  wrobell
- main package group changed to Libraries/Python
- rel. 5
- stb

Revision 1.27  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/06 08:49:40  kloczek
- adapterized.

Revision 1.24  2002/02/03 23:37:40  kloczek
- release 4: rebuild against python 2.2.

Revision 1.23  2002/01/18 02:14:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/12 15:52:55  kloczek
- release 3.

Revision 1.21  2001/11/12 15:15:11  wrobell
- use standard python macros

Revision 1.20  2001/11/12 09:43:01  qboosh
- pl translations, BuildRequires: rpm-pythonprov

Revision 1.19  2001/11/12 00:12:27  wrobell
- use standard python macros

Revision 1.18  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.17  2001/09/11 00:23:16  kloczek
- removed empty pl trnslations,
- cosmetics and cleanups.

Revision 1.16  2001/08/23 17:09:17  wrobell
- rebuilded with python 2.1.1
- rel. 2, stb.

Revision 1.15  2001/06/07 11:48:17  wrobell
- updated for 1.1.2
- more python macros usage
- builds with Python 2.1

Revision 1.14  2001/05/02 21:51:28  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.13  2001/04/30 23:02:01  wrobell
- up to 1.1.1

Revision 1.12  2000/08/08 14:30:16  wrobell
- more flexible %{python_sitepkgsdir} macro instead of %{pver} macro
  from python-xml.spec
- introduced %{python_dir} macro

Revision 1.11  2000/08/08 13:24:48  wrobell
- s/pp_subname/module/g
- introduced %{pver} macro; it is main python version, i.e. 1.5, 1.6 or 2.0

Revision 1.10  2000/07/28 13:58:29  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.9  2000/06/09 07:55:08  kloczek
- more %{__make} macros.

Revision 1.8  2000/06/09 07:23:52  kloczek
- added using %{__make} macro.

Revision 1.7  2000/04/09 20:55:56  wrobell
- added PIL link to Imaging directory

Revision 1.6  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.4  1999/12/04 18:37:51  cieciwa
- fixes install errors,
- added %attr macro in %file section.

Revision 1.3  1999/12/04 18:14:50  cieciwa
- added file location.

Revision 1.2  1999/12/04 17:48:53  cieciwa
- empty log message

Revision 1.1  1999/08/08 09:08:58  wrobell
- package name changed
- upgrade to version 1.0

Revision 1.7  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
